//---------------------------------------------------------------------------

#ifndef editor_lineboxH
#define editor_lineboxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

#include "font.h"

class Teditor_linebox_Form : public TForm
{
__published:	// IDE-managed Components
        void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall Teditor_linebox_Form(TComponent* Owner);
        __fastcall ~Teditor_linebox_Form(void);

        //[서브클래싱]
        //{
            void __fastcall WndProc(Messages::TMessage &Message);
        //}

        //[VAR]
        //{
            //[환경변수]
            //{
                //[2007.11.18.일][추가!!!]
                struct  IDE_OPTION   *_ide_option;

            //}

            //[실제 그리는 영역]{------
            Graphics::TBitmap  *_bmp_;
            //}------------------------

            //[사용글꼴]{--------------
            struct FONTPACK     _font;
            //}------------------------
        //}

        //[환경정의]
        //{
            #define d_LINEBOX_textwidth   80
            #define d_LINEBOX_gab         d_LINEBOX_textwidth / 4 
        //}

        //[FUNCTION]
        //{
            //[2006.12.06.수][완료!!!]
            void __fastcall _Top(int  pTOP);
            void __fastcall _Left(int  pLEFT);
            void __fastcall _Width(int  pWIDTH);
            void __fastcall _Size(int pWIDTH,
                                  int pHEIGHT);

            //[2009.05.05.화][완료!!!]
            void __fastcall _Show(void);

            void __fastcall _Hide(void);
            void __fastcall _FormCut(void);

            //[2006.12.07.목][완료!!!]
            void __fastcall _SetPosition(int  pLINEnumber);

            //[2007.04.17.화][완료!!!]
            void __fastcall _BottomPanel(void);

            //[2007.04.16.월][완료!!!]
            void __fastcall _Draw(void);

            //[2007.12.03.월][완료!!!]
            void __fastcall _RePaint(int   pLineNumber);
            
        //}

};
//---------------------------------------------------------------------------
extern PACKAGE Teditor_linebox_Form *editor_linebox_Form;
//---------------------------------------------------------------------------
#endif
